Debian Bug report logs - #677795
Several packaging related errors

version graph

Package: src:midgard2-core; Maintainer for src:midgard2-core is Piotr Pokora <piotrek.pokora@gmail.com>;

Reported by: Michael Biebl <biebl@debian.org>

Date: Sat, 16 Jun 2012 19:36:02 UTC

Severity: serious

Found in version midgard2-core/10.05.6-1

Fixed in version midgard2-core/10.05.7.1-2

Done: Piotr Pokora <piotrek.pokora@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, timo@debian.org, Piotr Pokora <piotrek.pokora@gmail.com>:
Bug#677795; Package src:midgard2-core. (Sat, 16 Jun 2012 19:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
New Bug report received and forwarded. Copy sent to timo@debian.org, Piotr Pokora <piotrek.pokora@gmail.com>. (Sat, 16 Jun 2012 19:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Several packaging related errors
Date: Sat, 16 Jun 2012 21:32:35 +0200
Source: midgard2-core
Version: 10.05.6-1
Severity: serious

Hi,

thanks for the update to libgda5! This though made me have a look at the
midgard2-core source package, and I noticed several packaging mistakes.

- Build-Depends on gir1.2-gda-5.0. The introspection mini policy [1] says
  that the corresponding libgda-5.0-dev will have a dependency on
  gir1.2-gda-5.0. So an explicit Build-Depends is not necessary.
- library package name (libmidgard2) doesn't reflect the SONAME
  libmidgard2.so.2010
- hard-coded shlibs dependencies:
  Depends: libglib2.0-0 (>=2.12), libxml2 (>=2.6.11), libdbus-glib-1-2
  Those should be automatically set via shlibs:Depends
- The gir package name (gir1.2-midgard2) doesn't reflect the typelib name
  Midgard-10.05.typelib. See [1] for how gir packages should be named.
- hard-coded and missing gir dependencies.
  As you are providing a gir package, you should call dh_girepository in
  debian/rules [1] and add ${gir:Depends} to your gir package. This means
  you don't need to hard-code the Depends on gir1.2-glib-2.0. If you
  debian/gir1.2-midgard2.substvars (in your build directory), you will
  notice that "gir:Depends=gir1.2-freedesktop, gir1.2-gda-5.0,
  gir1.2-glib-2.0, libmidgard2 (>= 10.05)", i.e. you are currently
  missing a dependency on gir1.2-gda-5.0 and gir1.2-freedesktop.
- The hard-coded depends on libgirepository1.0-1 looks wrong and should
  be removed.
- The gir1.2-midgard2 package ships *both* the .typelib and .gir file.
  Again, have a look at [1]. The .gir files belongs into the -dev
  package. When you move the file, don't forget the necessary
  Breaks/Replaces.
- You are having
  Depends: libmidgard2 (>= ${source:Version}), midgard2-common (>= ${source:Version})
  between arch:any packages. This looks strange. What's the reason for
  this?
- The package uses source format 3.0 (quilt), yet you build-depend on
  quilt and include /usr/share/quilt/quilt.make in debian/rules.
  With 3.0 (quilt) you can/should drop the quilt build dependency and
  the quilt.make include.

Cheers,
Michael

[1] /usr/share/doc/gobject-introspection/policy.txt

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (200, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 27 Sep 2012 20:06:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Piotr Pokora <piotrek.pokora@gmail.com>:
Bug#677795; Package src:midgard2-core. (Wed, 23 Jan 2013 17:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Andrik <nick.andrik@gmail.com>:
Extra info received and forwarded to list. Copy sent to Piotr Pokora <piotrek.pokora@gmail.com>. (Wed, 23 Jan 2013 17:45:03 GMT) Full text and rfc822 format available.

Message #12 received at 677795@bugs.debian.org (full text, mbox):

From: Nick Andrik <nick.andrik@gmail.com>
To: 677795@bugs.debian.org
Date: Wed, 23 Jan 2013 18:44:02 +0100
If nobody is working on this bug, I'm offering to prepare an NMU

Nick



Information forwarded to debian-bugs-dist@lists.debian.org, Piotr Pokora <piotrek.pokora@gmail.com>:
Bug#677795; Package src:midgard2-core. (Fri, 01 Feb 2013 08:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Jyrinki <timo.jyrinki@iki.fi>:
Extra info received and forwarded to list. Copy sent to Piotr Pokora <piotrek.pokora@gmail.com>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Fri, 01 Feb 2013 08:15:03 GMT) Full text and rfc822 format available.


Message #17 received at 677795@bugs.debian.org (full text, mbox):

From: Timo Jyrinki <timo.jyrinki@iki.fi>
To: Nick Andrik <nick.andrik@gmail.com>
Cc: 677795@bugs.debian.org
Date: Fri, 01 Feb 2013 10:12:07 +0200
Note that it's already prepared [1] and in NEW queue [2]. There's also
the associated php5-midgard2 [3] that builds against the new package
name. So I believe - unless it's not enough to address the rc bug - this
is mainly about logistics, ie. the NEW queue package essentially
depending on simultaneous [3] that is only in mentors etc.

[1] http://mentors.debian.net/package/midgard2-core
[2] http://ftp-master.debian.org/new.html
[3] http://mentors.debian.net/package/php5-midgard2

-Timo



Information forwarded to debian-bugs-dist@lists.debian.org, Piotr Pokora <piotrek.pokora@gmail.com>:
Bug#677795; Package src:midgard2-core. (Fri, 01 Feb 2013 10:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Andrik <nick.andrik@gmail.com>:
Extra info received and forwarded to list. Copy sent to Piotr Pokora <piotrek.pokora@gmail.com>. (Fri, 01 Feb 2013 10:09:03 GMT) Full text and rfc822 format available.

Message #22 received at 677795@bugs.debian.org (full text, mbox):

From: Nick Andrik <nick.andrik@gmail.com>
To: 677795@bugs.debian.org
Subject: Re:
Date: Fri, 1 Feb 2013 11:07:37 +0100
Ah ok, didn't check it that much.

Thanks!
--
=Do-
N.AND


2013/2/1 Timo Jyrinki <timo.jyrinki@iki.fi>:
> Note that it's already prepared [1] and in NEW queue [2]. There's also
> the associated php5-midgard2 [3] that builds against the new package
> name. So I believe - unless it's not enough to address the rc bug - this
> is mainly about logistics, ie. the NEW queue package essentially
> depending on simultaneous [3] that is only in mentors etc.
>
> [1] http://mentors.debian.net/package/midgard2-core
> [2] http://ftp-master.debian.org/new.html
> [3] http://mentors.debian.net/package/php5-midgard2
>
> -Timo



Information forwarded to debian-bugs-dist@lists.debian.org, Piotr Pokora <piotrek.pokora@gmail.com>:
Bug#677795; Package src:midgard2-core. (Mon, 04 Mar 2013 07:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Jyrinki <timo.jyrinki@iki.fi>:
Extra info received and forwarded to list. Copy sent to Piotr Pokora <piotrek.pokora@gmail.com>. (Mon, 04 Mar 2013 07:45:03 GMT) Full text and rfc822 format available.

Message #27 received at 677795@bugs.debian.org (full text, mbox):

From: Timo Jyrinki <timo.jyrinki@iki.fi>
To: intrigeri <intrigeri@debian.org>
Cc: Piotr Pokora <piotrek.pokora@gmail.com>, 688966@bugs.debian.org, 677795@bugs.debian.org
Subject: Re: Bug#688966: Review midgard2-core package
Date: Mon, 04 Mar 2013 09:41:40 +0200
04.03.2013 00:54, intrigeri kirjoitti:
>  "I am not sure due to #688966.
>   If midgard2-core is accepted to stable, then php5-midgard2
>   might break."
> 
> If midgard2-core "might break" another package that's currently in
> testing, then IMHO this should be expressed in terms of binary package
> dependencies, and perhaps it should be made explicit that the unblock
> request for midgard2-core should be considered in lockstep with the
> unblock request for php5-midgard2 if that's actually the case?

It seems php5-midgard2 binary package currently depends on libmidgard2,
while this midgard2-core packaging fix renames the library to
libmidgard2-2010.05.

So, php5-midgard2 would need just a rebuild to pick up the new library
name, together with uploading of midgard2-core. The mentors link of
php5-midgard2 has expired, but if I recall correctly Piotr had only
indeed put it there with a changelog entry like "rebuild", so there are
no actual packaging changes needed.

-Timo




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#677795; Package src:midgard2-core. (Mon, 04 Mar 2013 09:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Piotr Pokora <piotrek.pokora@gmail.com>:
Extra info received and forwarded to list. (Mon, 04 Mar 2013 09:21:03 GMT) Full text and rfc822 format available.

Message #32 received at 677795@bugs.debian.org (full text, mbox):

From: Piotr Pokora <piotrek.pokora@gmail.com>
To: Timo Jyrinki <timo.jyrinki@iki.fi>, 677795@bugs.debian.org
Cc: intrigeri <intrigeri@debian.org>, 688966@bugs.debian.org
Subject: Re: Bug#677795: Bug#688966: Review midgard2-core package
Date: Mon, 4 Mar 2013 10:15:53 +0100
Hi!

> So, php5-midgard2 would need just a rebuild to pick up the new library
> name, together with uploading of midgard2-core. The mentors link of
> php5-midgard2 has expired, but if I recall correctly Piotr had only
> indeed put it there with a changelog entry like "rebuild", so there are
> no actual packaging changes needed.

Exactly. There are no  changes made to php5-midgard2 package, so it
only requires rebuild against fixed[0] midgard2-core package.

[0]: http://ftp-master.debian.org/new/midgard2-core_10.05.7.1-2.html

Piotras



Information forwarded to debian-bugs-dist@lists.debian.org, Piotr Pokora <piotrek.pokora@gmail.com>:
Bug#677795; Package src:midgard2-core. (Mon, 04 Mar 2013 11:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to Piotr Pokora <piotrek.pokora@gmail.com>. (Mon, 04 Mar 2013 11:39:06 GMT) Full text and rfc822 format available.

Message #37 received at 677795@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: Timo Jyrinki <timo.jyrinki@iki.fi>
Cc: 688966@bugs.debian.org, Piotr Pokora <piotrek.pokora@gmail.com>, 677795@bugs.debian.org
Subject: Re: Bug#688966: Review midgard2-core package
Date: Mon, 04 Mar 2013 11:16:35 +0100
Hi Timo and Piotr,

Timo Jyrinki wrote (04 Mar 2013 07:41:40 GMT) :
> So, php5-midgard2 would need just a rebuild to pick up the new
> library name, together with uploading of midgard2-core.

Thank you for the prompt clarification!

Just to clarify even further, would a binNMU be enough? (The paragraph
about an upload to mentors with a single "rebuild" changelog entry got
me confused.)

In any case, it looks now clear that "this needs to be unblocked else
php5-midgard2 will be broken by midgard2-core" is no valid reason, in
itself, to grant the unblock requested by #688966. Hopefully this will
help the release team make a decision :)

Cheers,
-- 
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc



Information forwarded to debian-bugs-dist@lists.debian.org, Piotr Pokora <piotrek.pokora@gmail.com>:
Bug#677795; Package src:midgard2-core. (Mon, 04 Mar 2013 14:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to Piotr Pokora <piotrek.pokora@gmail.com>. (Mon, 04 Mar 2013 14:54:03 GMT) Full text and rfc822 format available.

Message #42 received at 677795@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: 688966@bugs.debian.org
Cc: Timo Jyrinki <timo.jyrinki@iki.fi>, Piotr Pokora <piotrek.pokora@gmail.com>, 677795@bugs.debian.org
Subject: Re: Bug#688966: Review midgard2-core package
Date: Mon, 04 Mar 2013 15:50:00 +0100
intrigeri wrote (04 Mar 2013 10:16:35 GMT) :
> In any case, it looks now clear that "this needs to be unblocked else
> php5-midgard2 will be broken by midgard2-core" is no valid reason, in
> itself, to grant the unblock requested by #688966. Hopefully this will
> help the release team make a decision :)

s/688966/692358/, obviously. Sorry for the confusion.

Cheers,
-- 
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc



Information forwarded to debian-bugs-dist@lists.debian.org, Piotr Pokora <piotrek.pokora@gmail.com>:
Bug#677795; Package src:midgard2-core. (Mon, 04 Mar 2013 14:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to Piotr Pokora <piotrek.pokora@gmail.com>. (Mon, 04 Mar 2013 14:57:06 GMT) Full text and rfc822 format available.

Message #47 received at 677795@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: Piotr Pokora <piotrek.pokora@gmail.com>
Cc: 688966@bugs.debian.org, Timo Jyrinki <timo.jyrinki@iki.fi>, 677795@bugs.debian.org, 692358@bugs.debian.org
Subject: Re: Bug#688966: Bug#677795: Bug#688966: Review midgard2-core package
Date: Mon, 04 Mar 2013 15:54:34 +0100
Hi again,
and sorry for the flood..

Piotr Pokora wrote (04 Mar 2013 09:15:53 GMT) :
> Exactly. There are no  changes made to php5-midgard2 package, so it
> only requires rebuild against fixed[0] midgard2-core package.

OK, this confirms #692358 and #688966 are totally unrelated, then.
Thank you.



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#677795; Package src:midgard2-core. (Mon, 04 Mar 2013 15:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Piotr Pokora <piotrek.pokora@gmail.com>:
Extra info received and forwarded to list. (Mon, 04 Mar 2013 15:18:03 GMT) Full text and rfc822 format available.

Message #52 received at 677795@bugs.debian.org (full text, mbox):

From: Piotr Pokora <piotrek.pokora@gmail.com>
To: intrigeri <intrigeri@debian.org>
Cc: 688966@bugs.debian.org, Timo Jyrinki <timo.jyrinki@iki.fi>, 677795@bugs.debian.org, 692358@bugs.debian.org
Subject: Re: Bug#688966: Bug#677795: Bug#688966: Review midgard2-core package
Date: Mon, 4 Mar 2013 16:15:23 +0100
>> Exactly. There are no  changes made to php5-midgard2 package, so it
>> only requires rebuild against fixed[0] midgard2-core package.
>
> OK, this confirms #692358 and #688966 are totally unrelated, then.

Only (and only) if midgard2-core[0] and php5-midgard2[1] are
distributed together.
In any other case, current testing provides packages which are not the
same upstream.

Piotras

[0]: http://ftp-master.debian.org/new/midgard2-core_10.05.7.1-2.html
[1]: http://packages.debian.org/source/unstable/php5-midgard2



Information forwarded to debian-bugs-dist@lists.debian.org, Piotr Pokora <piotrek.pokora@gmail.com>:
Bug#677795; Package src:midgard2-core. (Mon, 04 Mar 2013 16:18:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to Piotr Pokora <piotrek.pokora@gmail.com>. (Mon, 04 Mar 2013 16:18:10 GMT) Full text and rfc822 format available.

Message #57 received at 677795@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: Piotr Pokora <piotrek.pokora@gmail.com>
Cc: 688966@bugs.debian.org, Timo Jyrinki <timo.jyrinki@iki.fi>, 677795@bugs.debian.org, 692358@bugs.debian.org
Subject: Re: Bug#688966: Bug#677795: Bug#688966: Review midgard2-core package
Date: Mon, 04 Mar 2013 17:17:18 +0100
Piotr Pokora wrote (04 Mar 2013 15:15:23 GMT) :
>>> Exactly. There are no  changes made to php5-midgard2 package, so it
>>> only requires rebuild against fixed[0] midgard2-core package.
>>
>> OK, this confirms #692358 and #688966 are totally unrelated, then.

> Only (and only) if midgard2-core[0] and php5-midgard2[1] are
> distributed together.

Why?

Cheers,
-- 
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#677795; Package src:midgard2-core. (Tue, 05 Mar 2013 08:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Piotr Pokora <piotrek.pokora@gmail.com>:
Extra info received and forwarded to list. (Tue, 05 Mar 2013 08:24:03 GMT) Full text and rfc822 format available.

Message #62 received at 677795@bugs.debian.org (full text, mbox):

From: Piotr Pokora <piotrek.pokora@gmail.com>
To: intrigeri <intrigeri@debian.org>
Cc: 688966@bugs.debian.org, Timo Jyrinki <timo.jyrinki@iki.fi>, 677795@bugs.debian.org, 692358@bugs.debian.org
Subject: Re: Bug#688966: Bug#677795: Bug#688966: Review midgard2-core package
Date: Tue, 5 Mar 2013 09:21:46 +0100
>> Only (and only) if midgard2-core[0] and php5-midgard2[1] are
>> distributed together.
>
> Why?

Because php5-midgard2 provides language bindings to midgard2 content repository.
Unfortunately there's no php-gir bindings. Testing distribution has
midgard2-core 10.05.7 and php5-midgard2 10.05.6. Both packages should
be distributed together with the same upstream version.

Piotras



Information forwarded to debian-bugs-dist@lists.debian.org, Piotr Pokora <piotrek.pokora@gmail.com>:
Bug#677795; Package src:midgard2-core. (Mon, 25 Mar 2013 14:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Didier 'OdyX' Raboud" <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Piotr Pokora <piotrek.pokora@gmail.com>. (Mon, 25 Mar 2013 14:33:04 GMT) Full text and rfc822 format available.

Message #67 received at 677795@bugs.debian.org (full text, mbox):

From: "Didier 'OdyX' Raboud" <odyx@debian.org>
To: 677795@bugs.debian.org, debian-release@bugs.debian.org
Cc: Piotr Pokora <piotrek.pokora@gmail.com>
Subject: Bug#677795: Several packaging related errors
Date: Mon, 25 Mar 2013 15:30:58 +0100
Hi all,

I just stumbled upon this release-critical bug, #677795. As I read it, the 
package had several packaging-related issues "summing up" to that serious bug, 
filed two weeks before the freeze. Since then, in September, a package 
supposedly fixing these issues has been uploaded and queued in NEW [0]; it 
hasn't been liberated from NEW yet. From here, I see three ways forward:

a) a new package enters unstable, and then Wheezy, but that seems unlikely;
b) midgard2-core and php5-midgard2 are removed from Wheezy, thereby removing
   the RC bug.
c) that bug either gets downgraded to non-RC severity, or tagged wheezy-ignore
   by the release team.

As I think the concerns originally leading to the severity of that bug are 
correct, I would rather be of the opinion to drop the two packages. Release 
team: what's your opinion ?

Cheers,

OdyX

[0] http://ftp-master.debian.org/new/midgard2-core_10.05.7.1-2.html



Information forwarded to debian-bugs-dist@lists.debian.org, Piotr Pokora <piotrek.pokora@gmail.com>:
Bug#677795; Package src:midgard2-core. (Sun, 07 Apr 2013 12:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Piotr Pokora <piotrek.pokora@gmail.com>. (Sun, 07 Apr 2013 12:42:04 GMT) Full text and rfc822 format available.

Message #72 received at 677795@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Didier Raboud <odyx@debian.org>, 704520@bugs.debian.org
Cc: 677795@bugs.debian.org
Subject: Re: Bug#704520: RM: midgard2-core/10.05.7.1-1 php5-midgard2/10.05.7-1
Date: Sun, 07 Apr 2013 14:31:06 +0200
user release.debian.org@packages.debian.org
usertags 677795 + wheezy-will-remove
thanks

On 2013-04-02 13:13, Didier Raboud wrote:
> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: rm
> 
> Hi dear Release Team, hi dear midgard2-core and php5-midgard2 maintainers,
> 
> as explained in http://bugs.debian.org/677795#67 , I think midgard2-core
> (and it's only build-rdep, php5-midgard2) should get removed from
> testing:
> 
>> As I read it, the package had several packaging-related issues
>> "summing up" to that serious bug, filed two weeks before the freeze.
>> Since then, in September, a package supposedly fixing these issues has
>> been uploaded and queued in NEW [0]; it hasn't been liberated from NEW
>> yet. From here, I see three ways forward: 
>>
>> a) a new package enters unstable, and then Wheezy, but that seems
>>    unlikely;
>> b) midgard2-core and php5-midgard2 are removed from Wheezy, thereby
>>    removing the RC bug.
>> c) that bug either gets downgraded to non-RC severity, or tagged
>>    wheezy-ignore by the release team.
>>
>> As I think the concerns originally leading to the severity of that bug
>> are correct, I would rather be of the opinion to drop the two
>> packages.
> 
> As you see, I think that as this point, b) is the only reasonable
> choice.
> 
> Cheers,
> 
> OdyX
> 
> [...]

We have not accepted new (binary) packages in Wheezy for quite a while.
 So option a) is indeed very unlikely.

As it is, I am inclined to agree with OdyX's observations, so I am
tagging the bug as will-remove for now.

~Niels





Information forwarded to debian-bugs-dist@lists.debian.org, Piotr Pokora <piotrek.pokora@gmail.com>:
Bug#677795; Package src:midgard2-core. (Fri, 19 Apr 2013 19:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Wiltshire <jmw@debian.org>:
Extra info received and forwarded to list. Copy sent to Piotr Pokora <piotrek.pokora@gmail.com>. (Fri, 19 Apr 2013 19:21:09 GMT) Full text and rfc822 format available.

Message #77 received at 677795@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: 704520-done@bugs.debian.org
Cc: Didier Raboud <odyx@debian.org>, 677795@bugs.debian.org
Subject: Re: Bug#704520: RM: midgard2-core/10.05.7.1-1 php5-midgard2/10.05.7-1
Date: Fri, 19 Apr 2013 20:19:25 +0100
[Message part 1 (text/plain, inline)]
On Sun, Apr 07, 2013 at 02:31:06PM +0200, Niels Thykier wrote:
> user release.debian.org@packages.debian.org
> usertags 677795 + wheezy-will-remove
> thanks
> 
> On 2013-04-02 13:13, Didier Raboud wrote:
> > Package: release.debian.org
> > Severity: normal
> > User: release.debian.org@packages.debian.org
> > Usertags: rm
> > 
> > Hi dear Release Team, hi dear midgard2-core and php5-midgard2 maintainers,
> > 
> > as explained in http://bugs.debian.org/677795#67 , I think midgard2-core
> > (and it's only build-rdep, php5-midgard2) should get removed from
> > testing:
> > 
> >> As I read it, the package had several packaging-related issues
> >> "summing up" to that serious bug, filed two weeks before the freeze.
> >> Since then, in September, a package supposedly fixing these issues has
> >> been uploaded and queued in NEW [0]; it hasn't been liberated from NEW
> >> yet. From here, I see three ways forward: 
> >>
> >> a) a new package enters unstable, and then Wheezy, but that seems
> >>    unlikely;
> >> b) midgard2-core and php5-midgard2 are removed from Wheezy, thereby
> >>    removing the RC bug.
> >> c) that bug either gets downgraded to non-RC severity, or tagged
> >>    wheezy-ignore by the release team.
> >>
> >> As I think the concerns originally leading to the severity of that bug
> >> are correct, I would rather be of the opinion to drop the two
> >> packages.
> > 
> > As you see, I think that as this point, b) is the only reasonable
> > choice.
> > 
> > Cheers,
> > 
> > OdyX
> > 
> > [...]
> 
> We have not accepted new (binary) packages in Wheezy for quite a while.
>  So option a) is indeed very unlikely.
> 
> As it is, I am inclined to agree with OdyX's observations, so I am
> tagging the bug as will-remove for now.

So am I, removal hint added.


-- 
Jonathan Wiltshire                                      jmw@debian.org
Debian Developer                         http://people.debian.org/~jmw

4096R: 0xD3524C51 / 0A55 B7C5 1223 3942 86EC  74C3 5394 479D D352 4C51

<directhex> i have six years of solaris sysadmin experience, from
            8->10. i am well qualified to say it is made from bonghits
			layered on top of bonghits
[signature.asc (application/pgp-signature, inline)]

Reply sent to Piotr Pokora <piotrek.pokora@gmail.com>:
You have taken responsibility. (Sun, 05 May 2013 22:03:09 GMT) Full text and rfc822 format available.

Notification sent to Michael Biebl <biebl@debian.org>:
Bug acknowledged by developer. (Sun, 05 May 2013 22:03:09 GMT) Full text and rfc822 format available.

Message #82 received at 677795-close@bugs.debian.org (full text, mbox):

From: Piotr Pokora <piotrek.pokora@gmail.com>
To: 677795-close@bugs.debian.org
Subject: Bug#677795: fixed in midgard2-core 10.05.7.1-2
Date: Sun, 05 May 2013 22:00:04 +0000
Source: midgard2-core
Source-Version: 10.05.7.1-2

We believe that the bug you reported is fixed in the latest version of
midgard2-core, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 677795@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Piotr Pokora <piotrek.pokora@gmail.com> (supplier of updated midgard2-core package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 27 Sep 2012 10:47:56 +0200
Source: midgard2-core
Binary: libmidgard2-2010.05 libmidgard2-dev midgard2-common midgard2-bin gir1.2-midgard-10.05
Architecture: source i386
Version: 10.05.7.1-2
Distribution: unstable
Urgency: low
Maintainer: Piotr Pokora <piotrek.pokora@gmail.com>
Changed-By: Piotr Pokora <piotrek.pokora@gmail.com>
Description: 
 gir1.2-midgard-10.05 - Midgard2 - GObject Introspection
 libmidgard2-2010.05 - Midgard Content Repository - Runtime Library
 libmidgard2-dev - Midgard Content Repository - Development Files
 midgard2-bin - Midgard2 command line tools.
 midgard2-common - Midgard2 common files used by different midgard extensions
Closes: 677795
Changes: 
 midgard2-core (10.05.7.1-2) unstable; urgency=low
 .
   * libmidgard2 renamed to libmidgard2-2010.05
   * Removed gir1.2-gda-5.0 and quilt from Build-Depends
   * Removed hard coded libglib2.0-0, libxml2 and libdbus-glib-1-2 dependency
   * gir1.2-midgard2 renamed to gir1.2-midgard-10.05
   * .gir file moved to dev package
   * Closes: #677795
Checksums-Sha1: 
 b7cf90dec2581a8ac79f0170d4788f8071f25cff 2233 midgard2-core_10.05.7.1-2.dsc
 8cc3b0f79bfc85524461f9a6065903ec90cc269c 8236 midgard2-core_10.05.7.1-2.debian.tar.gz
 11d3f109abd17df7bcceca2c645b9a6d935ffb53 249286 libmidgard2-2010.05_10.05.7.1-2_i386.deb
 ee1a427231410866378b0968e6fb99d8d91e6bf0 373942 libmidgard2-dev_10.05.7.1-2_i386.deb
 87ad789e146b66fdedcc2793d55434ba573cc172 8592 midgard2-common_10.05.7.1-2_i386.deb
 e1c07e4ffe9fe0c9ac3c3f15ba71ed9204c603a6 29714 midgard2-bin_10.05.7.1-2_i386.deb
 35763d1247915d6221f3d57eb06cd5758a8fbedf 23522 gir1.2-midgard-10.05_10.05.7.1-2_i386.deb
Checksums-Sha256: 
 9a10453d1fd3b145987371b36211b35a0e610f746f96c4eef474cfc095815063 2233 midgard2-core_10.05.7.1-2.dsc
 8163e3492bc247f20ea667574a5afb3a35ad6ad8e9dde28afb674bc6bdc14a01 8236 midgard2-core_10.05.7.1-2.debian.tar.gz
 dfadd214939232a9ff57d51c0dd31e0a332aa4076d1c9cec0e5aab998a95ee0c 249286 libmidgard2-2010.05_10.05.7.1-2_i386.deb
 63787bbe68a0e06e5e7cddd74b1b4c595aec0fdffdb57a5386734e6236827417 373942 libmidgard2-dev_10.05.7.1-2_i386.deb
 f07c70be30ffd632c800aa6ea5cc5e6a72afb607f90fa0487a8705896efa006a 8592 midgard2-common_10.05.7.1-2_i386.deb
 152fcd3362600fd5e69896a22cdd62ec420919402ad71a97cfa1dbfd79d8d217 29714 midgard2-bin_10.05.7.1-2_i386.deb
 97453ed3aa06c44507197c29c182c0f3968388f1831cc4b45d9189273e2a0de3 23522 gir1.2-midgard-10.05_10.05.7.1-2_i386.deb
Files: 
 3e92be297f2403f514e73c8a4f09c59e 2233 libs optional midgard2-core_10.05.7.1-2.dsc
 fae90484a634b85771f04061643c6e0d 8236 libs optional midgard2-core_10.05.7.1-2.debian.tar.gz
 a03afcdce41b0c352a63ac26733f5a5a 249286 libs optional libmidgard2-2010.05_10.05.7.1-2_i386.deb
 5802a7e44a1e9f91e5011335147bae23 373942 libdevel optional libmidgard2-dev_10.05.7.1-2_i386.deb
 e9f4e9f6806b22d0eb88b67b39b2b9a6 8592 utils optional midgard2-common_10.05.7.1-2_i386.deb
 37789762589f03f53361853b01e7b0f1 29714 utils optional midgard2-bin_10.05.7.1-2_i386.deb
 e1645c23fb61ee2e202ccce19cfa0c52 23522 introspection optional gir1.2-midgard-10.05_10.05.7.1-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJQZFF1AAoJEOD3WfeQvdIHAzYP/jN5kxxUahRM2LPLCcuVo1dS
3k6FZYNxVGUwn2iDbjN6hLuGVyolvf4iwA7XvNK+CMDwTuESt11Hxiqfa7dJpJlb
u3NygkyXeUXtzeRF9wxEZhzehbmwN20E+7FBrg7hiiY1dMeevbIU2I4SiYL5ZAby
1ksf5qwmzvrCJu4cpsD3f5dGxIJtHEP4C8dVkLTan5E8cLWbyzTAd5nvHLyjoJNe
SXfGfp7OvhEKVpyylG0uYzrCSBCvSnFvgj9FX4L8oZ82anpN10gtApnqbfWvgpAH
WhCLNRm25igtNfGTQejPKmGefu7wbuvIxbKeNUX91SdeLI/Z1fxNzd+FA/+2m4F3
ogtpPSIQ3R3pvKlvtDw1bASjEkif/tbubflelOOe7Y9/eKBw+lhrgtQw1MFCTpbR
WLgXlWQg2AAWQBU96uM9bA+Q/O+NuaZqO7cje/fojO8zV6Ckb3mAVoQFgnjHXOHk
GMu8cfB4CoSOXzHQvdEoOBIgy+qlcZ5yP+DFxLJtXn+rgwZPpNe+JQAakbMrK7RK
jo1ShyXGUMBBtYpVOiReDBVMGHHE8UzWjSTbAtw9yIn2uJzaJMjxMOFj7NyXxoBW
Q2FYezjlLq7s1x8taor+UjY/53xGBgy7SgOGevJp0sl8Z0QFY2Kfmwp1T5VBk53I
35egzn9LMrCWtr+iO3Dv
=PfD6
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 13 Jun 2013 07:42:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:21:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.